HUGO-GEN-CHROMASTYLES(1)

NAME

hugo-gen-chromastyles - Generate CSS stylesheet for the Chroma code highlighter

SYNOPSIS

hugo gen chromastyles [flags]

DESCRIPTION

Generate CSS stylesheet for the Chroma code highlighter for a given style. This stylesheet is needed if markup.highlight.noClasses is disabled in config.

See https://xyproto.github.io/splash/docs/all.html for a preview of the available styles

OPTIONS

-h, --help[=false]
    help for chromastyles

--highlightStyle="bg:#ffffcc"
    style used for highlighting lines (see https://github.com/alecthomas/chroma)

--linesStyle=""
    style used for line numbers (see https://github.com/alecthomas/chroma)

--style="friendly"
    highlighter style (see https://xyproto.github.io/splash/docs/)

OPTIONS INHERITED FROM PARENT COMMANDS

--config=""
    config file (default is path/config.yaml|json|toml)

--configDir="config"
    config dir

--debug[=false]
    debug output

-e, --environment=""
    build environment

--ignoreVendor[=false]
    ignores any _vendor directory

--ignoreVendorPaths=""
    ignores any _vendor for module paths matching the given Glob pattern

--log[=false]
    enable Logging

--logFile=""
    log File path (if set, logging enabled automatically)

--quiet[=false]
    build in quiet mode

-s, --source=""
    filesystem path to read files relative from

--themesDir=""
    filesystem path to themes directory

-v, --verbose[=false]
    verbose output

--verboseLog[=false]
    verbose logging

SEE ALSO

hugo-gen(1)